Bug 81162 - L4d2 is slow on Intel Ironlake Mobile chipsets
Summary: L4d2 is slow on Intel Ironlake Mobile chipsets
Status: RESOLVED NOTABUG
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/DRI/i965 (show other bugs)
Version: git
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Ian Romanick
QA Contact: Intel 3D Bugs Mailing List
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-07-10 09:27 UTC by Patrik Bubák
Modified: 2014-08-11 02:46 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Patrik Bubák 2014-07-10 09:27:35 UTC
All the details are explained here: https://github.com/ValveSoftware/Source-1-Games/issues/1739 and here: https://github.com/ValveSoftware/Source-1-Games/issues/457

My specs:

System:    Host: innerdistance-Satellite-L650 Kernel: 3.13.0-30-generic x86_64 (64 bit) 
           Desktop: Gnome Distro: Ubuntu 14.04 trusty
Machine:   System: TOSHIBA product: Satellite L650 version: PSK1EE-00Y007SK
           Mobo: TOSHIBA model: Portable PC Bios: INSYDE version: 2.40 date: 11/09/2011
CPU:       Dual core Intel Core i3 CPU M 330 (-HT-MCP-) cache: 3072 KB flags: (lm nx sse sse2 sse3 sse4_1 sse4_2 ssse3 vmx) 
           Clock Speeds: 1: 933.00 MHz 2: 933.00 MHz 3: 933.00 MHz 4: 933.00 MHz
Graphics:  Card: Intel Core Processor Integrated Graphics Controller 
           X.Org: 1.15.1 drivers: intel (unloaded: fbdev,vesa) Resolution: 1366x768@60.0hz 
           GLX Renderer: Mesa DRI Intel Ironlake Mobile GLX Version: 2.1 Mesa 10.3.0-devel (git-50bbe49 trusty-oibaf-ppa)
Audio:     Card: Intel 5 Series/3400 Series High Definition Audio driver: snd_hda_intel Sound: ALSA ver: k3.13.0-30-generic
Network:   Card-1: Realtek RTL8191SEvB Wireless LAN Controller driver: rtl8192se 
           IF: wlan0 state: up mac: b4:82:fe:bd:63:26
           Card-2: Qualcomm Atheros AR8152 v1.1 Fast Ethernet driver: atl1c 
           IF: eth0 state: down mac: 00:26:6c:6e:2e:52
Drives:    HDD Total Size: 500.1GB (20.6% used) 1: id: /dev/sda model: Hitachi_HTS54505 size: 500.1GB 
Partition: ID: / size: 46G used: 7.7G (18%) fs: ext4 ID: /home size: 241G used: 89G (39%) fs: ext4 
           ID: swap-1 size: 4.09GB used: 0.03GB (1%) fs: swap 
RAID:      No RAID devices detected - /proc/mdstat and md_mod kernel raid module present
Sensors:   System Temperatures: cpu: 53.0C mobo: N/A 
           Fan Speeds (in rpm): cpu: N/A 
Info:      Processes: 252 Uptime: 3:34 Memory: 2451.7/3753.0MB Client: Shell (bash) inxi: 1.9.17
Comment 1 almos 2014-07-13 20:04:52 UTC
I reset the severity, because you only have a performance problem, not a crash. According to the comments on the github reports, your problem is not dependent on the multicore setting in the game, so I also fixed the bug title.

Mesa is supposed to be somewhat slower than the windows driver (especially on these older chips), and l4d2 has slightly higher requirements on Linux, so it's expected to run slower. I'm surprised it runs at all on GL2.1, because tf2 requires 3.0 AFAIK.

You might also try to upgrade Mesa, as 10.3-dev is quite old.
Comment 2 Patrik Bubák 2014-07-13 20:28:52 UTC
Thanks for the response. If you could point me to how to upgrade it it'd be much appreciated. I'm currently using the Oibaf PPA for Open Source drivers but that doesn't upgrade it.

(In reply to comment #1)
> I reset the severity, because you only have a performance problem, not a
> crash. According to the comments on the github reports, your problem is not
> dependent on the multicore setting in the game, so I also fixed the bug
> title.
> 
> Mesa is supposed to be somewhat slower than the windows driver (especially
> on these older chips), and l4d2 has slightly higher requirements on Linux,
> so it's expected to run slower. I'm surprised it runs at all on GL2.1,
> because tf2 requires 3.0 AFAIK.
> 
> You might also try to upgrade Mesa, as 10.3-dev is quite old.
Comment 3 Chris Forbes 2014-07-13 20:41:00 UTC
almos:

Nothing old about 10.3-dev -- is still the current development version. That specific revision is only a few dozen commits behind the bleeding edge, and oibaf rolls new packages regularly.
Comment 4 almos 2014-07-14 09:47:02 UTC
(In reply to comment #3)
> almos:
> 
> Nothing old about 10.3-dev -- is still the current development version. That
> specific revision is only a few dozen commits behind the bleeding edge, and
> oibaf rolls new packages regularly.

Oh, sorry, somehow I was thinking of 10.0.3-dev. I don't know why.
Comment 5 Matt Turner 2014-08-11 02:46:54 UTC
There are a number of performance improving features missing on Ironlake, like HiZ, instruction compaction, or fast color clears. We're lacking some features, but there's not really a bug here.

Kristian is generalizing the fast color clear implementation, so we might be able to add Ironlake support. I've got some work in progress code for Ironlake instruction compaction. And in general, we're always making compiler improvements to speed up shader code.

Hopefully it'll get some speed ups, but Ironlake isn't a high priority to tell the truth.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.